Debian Bug report logs - #422574
trang not installable (depends on missing libgcj7-0)

version graph

Package: trang; Maintainer for trang is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for trang is src:jing-trang.

Reported by: Michael Berg <michaeljberg@gmail.com>

Date: Mon, 7 May 2007 03:54:01 UTC

Severity: grave

Tags: sid

Found in version trang/20030619-5.1

Fixed in versions trang/20030619-5.2, trang/20030619-6

Done: Barry deFreese <bddebian@comcast.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#422574; Package trang. Full text and rfc822 format available.

Acknowledgement sent to Michael Berg <michaeljberg@gmail.com>:
New Bug report received and forwarded. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Berg <michaeljberg@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: trang not installable (depends on missing libgcj7-0)
Date: Sun, 06 May 2007 21:52:46 -0600
Package: trang
Version: 20030619-5.1+b1
Severity: important

=====
# apt-get install trang
....
The following packages have unmet dependencies.
  trang: Depends: libgcj7-0 (>= 4.1.1-12) but it is not installable
E: Broken packages
=====

libgcj7-0 is no longer in the sid/unstable archive.
libgcj7-1 is available in the archive from the move to gcj 4.1.2.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.21.1-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages trang depends on:
ii  libc6                   2.5-5            GNU C Library: Shared libraries
ii  libgcc1                 1:4.2-20070307-1 GCC support library
un  libgcj7-0               <none>           (no description available)
ii  zlib1g                  1:1.2.3-13       compression library - runtime

trang recommends no packages.



Severity set to `grave' from `important' Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Wed, 30 May 2007 22:27:02 GMT) Full text and rfc822 format available.

Tags added: sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2007 07:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#422574; Package trang. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #14 received at 422574@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 422574@bugs.debian.org
Subject: trang not installable (depends on missing libgcj7-0)
Date: Thu, 6 Dec 2007 22:15:02 +0100
This grave bug has now been opened for several months.
Any news?

trang should now be rebuilt against libgcj8-1.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#422574; Package trang. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #19 received at 422574@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 422574@bugs.debian.org, 424444@bugs.debian.org
Subject: Diff of the NMU
Date: Sun, 13 Jan 2008 00:27:21 +0100
[Message part 1 (text/plain, inline)]
I have just made an NMU of trang to fix the long standing RC bugs.
Please find attached the diff of the NMU.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[trang.NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Berg <michaeljberg@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 422574-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 422574-close@bugs.debian.org
Subject: Bug#422574: fixed in trang 20030619-5.2
Date: Sat, 12 Jan 2008 23:32:06 +0000
Source: trang
Source-Version: 20030619-5.2

We believe that the bug you reported is fixed in the latest version of
trang, which is due to be installed in the Debian FTP archive:

trang_20030619-5.2.diff.gz
  to pool/main/t/trang/trang_20030619-5.2.diff.gz
trang_20030619-5.2.dsc
  to pool/main/t/trang/trang_20030619-5.2.dsc
trang_20030619-5.2_amd64.deb
  to pool/main/t/trang/trang_20030619-5.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 422574@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated trang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 00:12:54 +0100
Source: trang
Binary: trang
Architecture: source amd64
Version: 20030619-5.2
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 trang      - Multi-format XML schema converter based on RELAX NG
Closes: 422574 424444
Changes: 
 trang (20030619-5.2) unstable; urgency=low
 .
   * NMU from the Zürich BSP.
   * Add patch from Ken Bloom to fix FTBFS. (Closes: #424444).
   * Rebuild with GCJ 4.2. (Closes: #422574).
Files: 
 37e8e6c907b11e1dfe9f6b33a62058df 571 text optional trang_20030619-5.2.dsc
 e368ebe2f857d3a38e38938b46998376 32724 text optional trang_20030619-5.2.diff.gz
 dbf020174b15fc26d6322553ba7adc63 601570 text optional trang_20030619-5.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiUukw3ao2vG823MRAib/AJ9JBV26DG/dw/1JPNWu7bC8tT1xQQCeMn2G
x5DyKOtAbkfp+LmOZAFynqg=
=8Pf+
-----END PGP SIGNATURE-----





Reply sent to Barry deFreese <bddebian@comcast.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Berg <michaeljberg@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 422574-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 422574-close@bugs.debian.org
Subject: Bug#422574: fixed in trang 20030619-6
Date: Sat, 12 Apr 2008 07:17:04 +0000
Source: trang
Source-Version: 20030619-6

We believe that the bug you reported is fixed in the latest version of
trang, which is due to be installed in the Debian FTP archive:

trang_20030619-6.diff.gz
  to pool/main/t/trang/trang_20030619-6.diff.gz
trang_20030619-6.dsc
  to pool/main/t/trang/trang_20030619-6.dsc
trang_20030619-6_mips.deb
  to pool/main/t/trang/trang_20030619-6_mips.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 422574@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bddebian@comcast.net> (supplier of updated trang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Apr 2008 16:42:26 -0400
Source: trang
Binary: trang
Architecture: source mips
Version: 20030619-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Barry deFreese <bddebian@comcast.net>
Description: 
 trang      - Multi-format XML schema converter based on RELAX NG
Closes: 422574 424444 449881 461017
Changes: 
 trang (20030619-6) unstable; urgency=low
 .
   * QA upload.
     + Set maintainer to Debian QA Group <packages@qa.debian.org>
   * Acknowledge NMUs. (Closes: #422574, #424444)
   * Move Homepage from package description to source header.
   * Fix watch file. (Closes: #449881).
   * Use -findirect-dispatch. (Closes: #461017).
     + Thanks to Evgeni Golov and Peter De Wachter for the help.
   * Do not include config.{sub,guess} in the diff.gz file.
   * Make clean not ignore errors.
   * Remove unused debhelper commands.
   * Bump debhelper build-dep and compat to 5.
   * Bump Standards Version to 3.7.3. (No changes needed).
Checksums-Sha1: 
 e2c978850e20dec4be8949dba64f6e48770bde77 1024 trang_20030619-6.dsc
 52d6a0eea559d89bc7cf6ab7368c47c1b19f27d9 9714 trang_20030619-6.diff.gz
 7d4903857a956da70ba3290fe992c00dbf799348 1197842 trang_20030619-6_mips.deb
Checksums-Sha256: 
 885a51ff1ef3538b6ca1d2b282c2edf053ea235127c40b31cfb0f7d8f708c8bb 1024 trang_20030619-6.dsc
 027e512b2cb7f844f820dc954a57cca58e9ba235467ae2d4529a9eb6f3667487 9714 trang_20030619-6.diff.gz
 9d4b989ce36883ddc8dc40347443a3a8455ee799ea6c82ef1ff4f0faf211c150 1197842 trang_20030619-6_mips.deb
Files: 
 c6565a343f38d35fc08c45b306ab893e 1024 text optional trang_20030619-6.dsc
 f5cdcf37f5bccef7ef2343b15cc73e2f 9714 text optional trang_20030619-6.diff.gz
 852f435985369a41c2b94902992c04c7 1197842 text optional trang_20030619-6_mips.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIAF+RgY5NIXPNpFURAi6jAKCVIMSAvvKhDsfChvQxfGv4X/9H1QCfTJDL
EE2oeRSwE7iz0xx4kQRg+xA=
=17KG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:31:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:07:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.